Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1423279 - blobwars: FTBFS in rawhide
Summary: blobwars: FTBFS in rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: blobwars
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bruno Wolff III
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F26FTBFS
TreeView+ depends on / blocked
 
Reported: 2017-02-17 03:26 UTC by Fedora Release Engineering
Modified: 2019-07-17 01:06 UTC (History)
3 users (show)

Fixed In Version: blobwars-1.19-21.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-17 01:06:06 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2017-02-17 03:27 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2017-02-17 03:27 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2017-02-17 03:27 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2017-02-17 03:26:56 UTC
Your package blobwars failed to build from source in current rawhide.

https://koji.fedoraproject.org/koji/taskinfo?taskID=17711444

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

Comment 1 Fedora Release Engineering 2017-02-17 03:27:01 UTC
Created attachment 1251590 [details]
build.log

Comment 2 Fedora Release Engineering 2017-02-17 03:27:04 UTC
Created attachment 1251591 [details]
root.log

Comment 3 Fedora Release Engineering 2017-02-17 03:27:06 UTC
Created attachment 1251592 [details]
state.log

Comment 4 Jonathan Wakely 2017-02-17 11:04:14 UTC
The package uses -Werror so new GCC warnings cause it to fail:

src/CAudio.cpp: In member function 'bool Audio::loadMusic(const char*)':
src/CAudio.cpp:100:6: error: 'music.mod' directive output may be truncated writing 9 bytes into a region of size between 1 and 4096 [-Werror=format-truncation=]
 bool Audio::loadMusic(const char *filename)
      ^~~~~

Comment 5 Fedora End Of Life 2017-02-28 11:25:12 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 6 Filipe Rosset 2017-06-17 19:19:26 UTC
Opened upstream bug https://sourceforge.net/p/blobwars/bugs/18/

Comment 7 Fedora End Of Life 2018-05-03 08:00:31 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 8 Jan Kurik 2018-08-14 10:20:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 9 Fedora Update System 2019-07-05 22:10:19 UTC
FEDORA-2019-3d857bfed2 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-3d857bfed2

Comment 10 Fedora Update System 2019-07-06 04:19:01 UTC
blobwars-1.19-21.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-3d857bfed2

Comment 11 Fedora Update System 2019-07-17 01:06:06 UTC
blobwars-1.19-21.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.